Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.core.pattern
Class RelativeTimePatternConverter

    java.lang.Object
      org.apache.logging.log4j.core.pattern.AbstractPatternConverter
          org.apache.logging.log4j.core.pattern.LogEventPatternConverter
              org.apache.logging.log4j.core.pattern.RelativeTimePatternConverter

All Implemented Interfaces:
  PatternConverter

    @Plugin(name="RelativeTimePatternConverter",
            category="Converter")
    public class RelativeTimePatternConverter

extends LogEventPatternConverter

Returns the relative time in milliseconds since JVM Startup.

Field Summary

Fields inherited from class org.apache.logging.log4j.core.pattern.AbstractPatternConverter
`LOGGER`

Fields inherited from interface org.apache.logging.log4j.core.pattern.PatternConverter
`CATEGORY`

Constructor Summary
`RelativeTimePatternConverter()` Private constructor.

Method Summary
`void` | `format(LogEvent event, StringBuilder toAppendTo)` Formats an event into a string buffer.
`static RelativeTimePatternConverter` | `newInstance(String[] options)` Obtains an instance of RelativeTimePatternConverter.

Methods inherited from class org.apache.logging.log4j.core.pattern.LogEventPatternConverter
`format, handlesThrowable`

Methods inherited from class org.apache.logging.log4j.core.pattern.AbstractPatternConverter
`getName, getStyleClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RelativeTimePatternConverter

    public RelativeTimePatternConverter()

  Private constructor.

Method Detail

### newInstance

    public static RelativeTimePatternConverter newInstance(String[] options)

  Obtains an instance of RelativeTimePatternConverter.

  Parameters:
    `options` - options, currently ignored, may be null.
  Returns:
    instance of RelativeTimePatternConverter.

### format

    public void format(LogEvent event,
                       StringBuilder toAppendTo)

  Formats an event into a string buffer.

  Specified by:
    `format` in class `LogEventPatternConverter`
  Parameters:
    `event` - event to format, may not be null.
    `toAppendTo` - string buffer to which the formatted event will be appended. May not be null.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.